<< ifft1 | FOSSEE_Signal_Processing_Toolbox | ifftn >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > ifft2

# ifft2

Compute the inverse two-dimensional discrete Fourier transform.

### Syntax

    ifft2(A)
    ifft2(A, m, n)

### Parameters

A:

  Input matrix.

m:

  (optional) Number of rows of A to be used.

n:

  (optional) Number of columns of A to be used.

### Description

Calculates the inverse two-dimensional discrete Fourier transform of A using a Fast Fourier Transform algorithm. If m or n is larger than the size of A, A is resized and padded with zeros. If smaller, A is truncated.

### Examples

    A = [1 2 3; 4 5 6; 7 8 9]
    m = 4
    n = 4
    ifft2(A, m, n)

Report an issue
<< ifft1 | FOSSEE_Signal_Processing_Toolbox | ifftn >>